Get exchange timeseries data
curl --request GET \
--url https://api.messari.io/metrics/v1/exchanges/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity} \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v1/exchanges/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v1/exchanges/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": {
"points": [
[
1748736000,
42522347,
9216853399.631496
],
[
1748822400,
49639718,
13496478083.937649
],
[
1748908800,
49929928,
14503394750.363638
],
[
1748995200,
42680039,
13154648940.668606
],
[
1749081600,
62562278,
21404240391.30481
]
]
},
"metadata": {
"pointSchemas": [
{
"name": "Timestamp",
"slug": "time",
"description": "Timestamp of the data point.",
"is_timestamp": true
},
{
"name": "Trade Count",
"slug": "trade-count",
"description": "Trade count during the candle.",
"is_timestamp": false
},
{
"name": "Volume",
"slug": "volume",
"description": "Volume traded during candle.",
"is_timestamp": false
}
],
"granularity": "1d"
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Exchanges (included with Enterprise)
Exchange Time Series Metric
Retrieve a specific exchange’s timeseries data
GET
/
metrics
/
v1
/
exchanges
/
{entityIdentifier}
/
metrics
/
{datasetSlug}
/
time-series
/
{granularity}
Get exchange timeseries data
x402 Support: Supported.
See the x402 guide.
Authorizations
Path Parameters
Entity ID or slug
Example:
"binance"
Dataset slug
Available options:
volume, futures-volume, futures-open-interest Example:
"volume"
Granularity - time interval for data points
Available options:
5m, 1h, 1d, 1w Query Parameters
Time range start
Example:
"2025-06-01T00:00:00Z"
Time range end
Example:
"2025-06-07T00:00:00Z"
⌘I

